
package com.atolcd.archiland.ws._1;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "ArchilandService", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", wsdlLocation = "file:/home/svast/Bureau/WebServices/XSD-WSDL/archiland/archiland-service.wsdl")
public class ArchilandService
    extends Service
{

    private final static URL ARCHILANDSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.atolcd.archiland.ws._1.ArchilandService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.atolcd.archiland.ws._1.ArchilandService.class.getResource(".");
            url = new URL(baseUrl, "file:/home/svast/Bureau/WebServices/XSD-WSDL/archiland/archiland-service.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'file:/home/svast/Bureau/WebServices/XSD-WSDL/archiland/archiland-service.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        ARCHILANDSERVICE_WSDL_LOCATION = url;
    }

    public ArchilandService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ArchilandService() {
        super(ARCHILANDSERVICE_WSDL_LOCATION, new QName("http://www.atolcd.com/archiland/ws/1.0", "ArchilandService"));
    }

    /**
     * 
     * @return
     *     returns ArchilandServiceSoapPort
     */
    @WebEndpoint(name = "ArchilandService")
    public ArchilandServiceSoapPort getArchilandService() {
        return super.getPort(new QName("http://www.atolcd.com/archiland/ws/1.0", "ArchilandService"), ArchilandServiceSoapPort.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ArchilandServiceSoapPort
     */
    @WebEndpoint(name = "ArchilandService")
    public ArchilandServiceSoapPort getArchilandService(WebServiceFeature... features) {
        return super.getPort(new QName("http://www.atolcd.com/archiland/ws/1.0", "ArchilandService"), ArchilandServiceSoapPort.class, features);
    }

}
